Get Redeemable Points
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/redeemable-points \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/redeemable-points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/redeemable-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Success",
"errors": {},
"data": [
{
"totalPoints": 1000
}
]
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Inquire
Get Redeemable Points
Gets the redeemable points of a member on a given entity.
When points in the member account reach a defined threshold value, the points are converted to rewards, which can be redeemed in the future purchases.
Note: The points to rewards conversion may be manual or automatic depending on how it is configured.
GET
/
v1
/
inquire
/
redeemable-points
Get Redeemable Points
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Profile ID. It is generated in the response of the Enroll Member endpoint - POST /v1/members.
Entity Hierarchy Tree (EHT) ID. Either the EHT ID or the clubExternalReference must be specified along with the profileID.
External reference number of the entity/store.
External reference number of the club.
Was this page helpful?
